libzypp: zypp::HistoryLogDataRepoUrlChange Class Reference

libzypp 17.38.9

zypp::HistoryLogDataRepoUrlChange Class Reference
Libzypp History File

A zypp history log line for a repo url change. More...

`#include <zypp/HistoryLogData.h>`

Inheritance diagram for zypp::HistoryLogDataRepoUrlChange:

## Public Types
enum | Index { DATE_INDEX = HistoryLogData::DATE_INDEX , ACTION_INDEX = HistoryLogData::ACTION_INDEX , ALIAS_INDEX , NEWURL_INDEX , USERDATA_INDEX }
| < indices of known fields More...
using | Ptr = shared_ptr<HistoryLogDataRepoUrlChange>
using | constPtr = shared_ptr<const HistoryLogDataRepoUrlChange>
Public Types inherited from zypp::HistoryLogData
enum | Index { DATE_INDEX = 0 , ACTION_INDEX = 1 }
| < indices of known fields More...
using | Ptr = shared_ptr<HistoryLogData>
using | constPtr = shared_ptr<const HistoryLogData>
using | FieldVector = std::vector<std::string>
using | size_type = FieldVector::size_type
using | const_iterator = FieldVector::const_iterator

## Public Member Functions
| HistoryLogDataRepoUrlChange (FieldVector &fields_r)
| Ctor moving FieldVector (via swap).
std::string | alias () const
| repository alias
Url | newUrl () const
| repositories new url
std::string | userdata () const
| userdata/transactionID
Public Member Functions inherited from zypp::HistoryLogData
| HistoryLogData (FieldVector &fields_r, size_type expect_r=2)
| Ctor moving FieldVector (via swap).
| HistoryLogData (FieldVector &fields_r, HistoryActionID action_r, size_type expect_r=2)
| Ctor moving FieldVector (via swap).
virtual | ~HistoryLogData ()
| Dtor.
bool | empty () const
| Whether FieldVector is empty.
size_type | size () const
| Number of fields in vector.
const_iterator | begin () const
| Iterator pointing to 1st element in vector (or end()).
const_iterator | end () const
| Iterator pointing behind the last element in vector.
const std::string & | optionalAt (size_type idx_r) const
| Access (optional) field by number.
const std::string & | operator[] (size_type idx_r) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
const std::string & | at (size_type idx_r) const
| Access (required) field by number.
Date | date () const
| date
HistoryActionID | action () const
| HistoryActionID (or `NONE_e` if unknown).

## Additional Inherited Members
Static Public Member Functions inherited from zypp::HistoryLogData
static Ptr | create (FieldVector &fields_r)
| Factory method creating HistoryLogData classes.
Protected Member Functions inherited from zypp::HistoryLogData
HistoryLogData & | operator= (const HistoryLogData &)
| no base class assign

## Detailed Description

A zypp history log line for a repo url change.

Definition at line 409 of file HistoryLogData.h.

## Member Typedef Documentation

## ◆ Ptr

using zypp::HistoryLogDataRepoUrlChange::Ptr = shared_ptr<HistoryLogDataRepoUrlChange>

Definition at line 412 of file HistoryLogData.h.

## ◆ constPtr

using zypp::HistoryLogDataRepoUrlChange::constPtr = shared_ptr<const HistoryLogDataRepoUrlChange>

Definition at line 413 of file HistoryLogData.h.

## Member Enumeration Documentation

## ◆ Index

enum zypp::HistoryLogDataRepoUrlChange::Index

< indices of known fields

Enumerator
DATE_INDEX |
ACTION_INDEX |
ALIAS_INDEX | repository alias
NEWURL_INDEX | repositories new url
USERDATA_INDEX | userdata/transactionID

Definition at line 420 of file HistoryLogData.h.

## Constructor & Destructor Documentation

## ◆ HistoryLogDataRepoUrlChange()

zypp::HistoryLogDataRepoUrlChange::HistoryLogDataRepoUrlChange | ( | FieldVector & | fields_r | ) |

Ctor moving FieldVector (via swap).

Exceptions

  ParseException | if fields_r has the wrong HistoryActionID or number of fields.

Definition at line 315 of file HistoryLogData.cc.

## Member Function Documentation

## ◆ alias()

std::string zypp::HistoryLogDataRepoUrlChange::alias | ( |  | ) | const

repository alias

Definition at line 318 of file HistoryLogData.cc.

## ◆ newUrl()

Url zypp::HistoryLogDataRepoUrlChange::newUrl | ( |  | ) | const

repositories new url

Definition at line 319 of file HistoryLogData.cc.

## ◆ userdata()

std::string zypp::HistoryLogDataRepoUrlChange::userdata | ( |  | ) | const

userdata/transactionID

Definition at line 320 of file HistoryLogData.cc.

The documentation for this class was generated from the following files:

- zypp/HistoryLogData.h
- zypp/HistoryLogData.cc